Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
GETCDP OperationsSince 4.5.0SynchronousAuth Required

GetVmInstanceRecoveryPoints

GetVmInstanceRecoveryPoints

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource.

Query Parameters

  • startTimeString

    Optional. The start time to query.

  • endTimeString

    Optional. The end time to query.

  • scaleString

    Optional. The unit of time to query the recovery points.

  • limitInteger

    Optional. The maximum number of returned records.

  • startInteger

    Optional. The first record to query.

Responses

200 OK

On success, this API returns the following response structure.

  • recoveryPointsMapRequired

    The list of CDP recovery points.

  • successbooleanRequired

    Succeeded.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/vm-instances/{uuid}/recovery-points

/zstack/v1/vm-instances/{uuid}/recovery-points

Operation ID

GetVmInstanceRecoveryPoints

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/recovery-points?startTime=<startTime>&endTime=<endTime>&scale=<scale>&limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "recoveryPoints": { "db058d634c403ffd9b55d4af14090c4b": [ { "id": 2.0, "grpId": 1.0, "size": 196608.0, "volId": "db058d634c403ffd9b55d4af14090c4b", "ts": "2021-06-29T19:49:47+08:00" } ], "9092ed3354fe39ea854f2e22e0346223": [ { "id": 1.0, "grpId": 1.0, "size": 851968.0, "volId": "9092ed3354fe39ea854f2e22e0346223", "ts": "2021-06-29T19:49:45+08:00" } ] } }

Change History

This API has no change history records yet.

View all change history